 #luftqualitaetsrechner body {
            font-family: 'Roboto', sans-serif;
        }
        #luftqualitaetsrechner .aqititle {
            font-family: Selawik,"Open Sans",sans-serif;
            color: #000;
            font-size: 22px;
            font-weight: 700;
            margin: 0 0 10px 0;
            padding: 0;
        }
        #luftqualitaetsrechner .aqidescription {
            font-family: Selawik,"Open Sans",sans-serif;
            color: #000;
            font-size: 18px;
            font-weight: 400;
            margin: 0 0 5px 0;
            padding: 0;
        }
        #aqicta-button {
            display: inline-block;
            width: 90%;
            margin-left: 10px;
            margin-right: 10px;
            margin-bottom: 10px;
            margin-top: 15px;
            line-height: 40px;
            padding: 0;
            font-size: 16px;
            font-weight: 700;
            color: #000;
            background-color: #ffcd00;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            text-align: center;
            text-decoration: none;
        }
        #luftqualitaetsrechner .aqicontainer {
            font-family: Selawik,"Open Sans",sans-serif;
            position: relative;
            text-align: center;
            width: 400px;
            max-width: 100%;
            margin: 0 auto;
            padding-top: 10px;
            padding-bottom: 10px;
        }
        #luftqualitaetsrechner #location {
            display:none;
            text-align: center;
            font-size: 16px;
            padding: 5px;
        }
        #luftqualitaetsrechner #overall-quality  {
            display:none;
            text-align: center;
            font-size: 16px;
            padding: 5px;
            margin-left: 20px;
            margin-right: 20px;
            line-height:30px;
        }
        #luftqualitaetsrechner table {
            width: 90%;
            border-collapse: collapse;
            margin-top: 20px;
            margin-left: auto;
            margin-right: auto;
        }
        #luftqualitaetsrechner th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
            background-color: white;
        }
        #luftqualitaetsrechner .note1 { background-color: #7FFFD4; color: black; }
        #luftqualitaetsrechner .note2 { background-color: #90EE90; color: black; }
        #luftqualitaetsrechner .note3 { background-color: #FFFF00; color: black; }
        #luftqualitaetsrechner .note4 { background-color: #FF4500; color: white; }
        #luftqualitaetsrechner .note5 { background-color: #8A2BE2; color: white; }
        #luftqualitaetsrechner .info-section {
            margin-top: 30px;
            font-family: 'Roboto', sans-serif;
            color:black;
            font-size: 18px;
            line-height: 28px;
        }
        #luftqualitaetsrechner.dropdown-active::before {
        content: "";
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.6); /* halbtransparent, wie dein anderes Overlay */
        backdrop-filter: blur(2px); /* weichzeichnen */
        z-index: 1001; 
        }
        #luftqualitaetsrechner .loadingIndicatorLocation {
        position: fixed;
        top: 40%;
        left: 50%;
        transform: translate(-50%, -30%);
        flex-direction: column; /* Ändere die Ausrichtung auf eine vertikale Spaltenausrichtung */
        align-items: center;
        z-index: 9999; /* Stelle sicher, dass der Text und der Spinner über anderen Elementen liegen */
        display:none;
        }

        #luftqualitaetsrechner .loadingIndicatorLocation .spinner {
        width: 60px;
        height: 60px;
        border: 4px solid rgba(255, 255, 255, 0.3); /* heller und transparenter */
        border-top-color: #ffffff; /* weiß für besseren Kontrast */
        border-radius: 50%;
        animation: spin 1s linear infinite;
        margin-bottom: 16px;
        }
        @keyframes spin {
        to {
            transform: rotate(360deg);
        }
        }
        #luftqualitaetsrechner .loading-text {
        color: white;
        font-size: 1.2rem;
        text-align: center;
        text-shadow: 0 0 5px rgba(0, 0, 0, 0.8); /* schwarzer Schatten */
        }